=== debian/control ===
Source: mosquitto
Section: net
Priority: optional
Maintainer: Roger A. Light <roger@atchoo.org>
Build-Depends: debhelper (>= 9), libc-ares-dev, libssl-dev (>=1.0.0), libwrap0-dev, python-all (>= 2.6.6-3~), python3-all, uthash-dev, uuid-dev
Standards-Version: 3.9.5
Homepage: http://mosquitto.org/
Vcs-Hg: http://bitbucket.org/oojah/mosquitto-packaging
Vcs-Browser: http://bitbucket.org/oojah/mosquitto-packaging/src
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: mosquitto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.10), lsb-base (>=4.1+Debian3), libuuid1
Description: MQTT version 3.1/3.1.1 compatible message broker
 This is a message broker that supports version 3.1 and 3.1.1 of the MQTT
 protocol.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquitto1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-ares2
Description: MQTT version 3.1 client library
 This is a C library for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquitto-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libmosquitto1 (>= ${source:Version}), libmosquitto1 (<< ${source:Version}.1~)
Replaces: libmosquitto0-dev (<< 1.2-1~)
Breaks: libmosquitto0-dev (<< 1.2-1~)
Description: MQTT version 3.1 client library, development files
 This is the header and man page for the libmosquitto1 C library, which is a
 library for implementing MQTT version 3.1 clients. This package is needed to do
 development with libmosquitto1.

Package: libmosquittopp1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmosquitto1 (= ${binary:Version})
Description: MQTT version 3.1 client C++ library
 This is a C++ library for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquittopp-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libmosquittopp1 (>= ${source:Version}), libmosquittopp1 (<< ${source:Version}.1~)
Replaces: libmosquittopp0-dev (<< 1.2-1~)
Breaks: libmosquittopp0-dev (<< 1.2-1~)
Description: MQTT version 3.1 client C++ library, development files
 This is the header and man page for the libmosquittopp1 C++ library, which is
 a library for implementing MQTT version 3.1 clients. This package is needed to
 do development with libmosquittopp1.

Package: mosquitto-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmosquitto1 (= ${binary:Version})
Description: Mosquitto command line MQTT clients
 This is two MQTT version 3.1 command line clients. mosquitto_pub can be used
 to publish messages to a broker and mosquitto_sub can be used to subscribe to
 a topic to receive messages.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: python-mosquitto
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: MQTT version 3.1 Python client library
 This is a Python module for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: python3-mosquitto
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: MQTT version 3.1 Python 3 client library
 This is a Python3 module for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: mosquitto-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, mosquitto (= ${binary:Version}) | mosquitto-clients (= ${binary:Version}) | libmosquitto1 (= ${binary:Version}) | libmosquittopp1 (= ${binary:Version})
Description: debugging symbols for mosquitto binaries
 This package contains debugging files used to investigate problems with
 the binaries provided by the packages mosquitto, mosquitto-clients,
 libmosquitto1 and libmosquittopp1.
